[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvasState

Set type used to store TCanvasStates values.

## Declaration

Source position: graphics.pp line 228

`type TCanvasState = set of (`
`csHandleValid,` |  | The handle for the canvas is valid.
`csFontValid,` |  | Font properties correspond to the selected Font Handle in the Device Context (DC).
`csPenvalid,` |  |
`csBrushValid,` |  |
`csRegionValid` |  |
`);`